%define _sbindir /sbin
%define real_version 0.0.3-2

Summary: Userspace control program for the arptables network filter
Name: arptables
Version: 0.0.3.2
Release: 2.arnes.2
Group: System Environment/Base
License: GPL
URL: http://ebtables.sourceforge.net/
Packager: Arnes <aaa-podpora@arnes.si>

Source: http://dl.sf.net/ebtables/arptables-v%{real_version}.tar.gz
Source1: arptables-save
Source2: arptables-restore
Source3: arptables.sysv
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires:  kernel-source >= 2.6.0
Requires: kernel >= 2.6.0
Obsoletes: arptables_jf
Conflicts: arptables_jf

%description
The arptables utility controls the arpfilter network packet
filtering code in the Linux kernel. You do not need this program
for normal network firewalling. If you need to manually control
which arp requests and/or replies this machine accepts and sends,
you should install this package.

The configuration can be set in a file /etc/sysconfig/arptables,
similar to ebtables and iptables.

%prep
%setup -n %{name}-v%{real_version}

%build
%{__make} %{?_smp_mflags} \
	COPT_FLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0644 arptables.8 %{buildroot}%{_mandir}/man8/arptables.8
%{__install} -D -m0755 arptables %{buildroot}%{_sbindir}/arptables
%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{_sbindir}/arptables-save
%{__install} -D -m0755 %{SOURCE2} %{buildroot}%{_sbindir}/arptables-restore
%{__install} -D -m0755 %{SOURCE3} %{buildroot}%{_initrddir}/arptables

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add arptables 

%preun
if [ $1 -eq 0 ]; then
        /sbin/service arptables stop &>/dev/null || :
        /sbin/chkconfig --del arptables
fi

%postun
if [ $1 -ge 1 ]; then
        /sbin/service arptables condrestart &> /dev/null || :
fi

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/arptables.8*
%{_sbindir}/arptables
%{_sbindir}/arptables-save
%{_sbindir}/arptables-restore
%{_initrddir}/arptables

%changelog
* Tue Sep 06 2005 Rok Papez <rok.papez@arnes.si> - 0.0.3.2-2.arnes.2
- arptables_jf is a conflict
- arptables are run at startup
- Rebuild for Fedora Core 4

* Wed Jul 1 2005 Rok Papez <rok.papez@arnes.si> - 0.0.3.2-2.arnes.1
- Added arptables-save and arptables-restore, text config tools
- Added arptables sysv init script
- Added support for a text configuration file /etc/sysconfig/arptables

* Thu Jul 22 2004 Dag Wieers <dag@wieers.com> - 0.0.3.2-1
- Initial package. (using DAR)
